org.apache.solr.core

## Class CloudConfig.CloudConfigBuilder

- java.lang.Object
- - org.apache.solr.core.CloudConfig.CloudConfigBuilder

- Enclosing class:
    CloudConfig

      public static class CloudConfig.CloudConfigBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudConfigBuilder(String hostName, int hostPort)`
    `CloudConfigBuilder(String hostName, int hostPort, String hostContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CloudConfig` | `build()`
    `CloudConfig.CloudConfigBuilder` | `setAutoReplicaFailoverBadNodeExpiration(int autoReplicaFailoverBadNodeExpiration)`
    `CloudConfig.CloudConfigBuilder` | `setAutoReplicaFailoverWaitAfterExpiration(int autoReplicaFailoverWaitAfterExpiration)`
    `CloudConfig.CloudConfigBuilder` | `setAutoReplicaFailoverWorkLoopDelay(int autoReplicaFailoverWorkLoopDelay)`
    `CloudConfig.CloudConfigBuilder` | `setCreateCollectionCheckLeaderActive(boolean createCollectionCheckLeaderActive)`
    `CloudConfig.CloudConfigBuilder` | `setCreateCollectionWaitTimeTillActive(int createCollectionWaitTimeTillActive)`
    `CloudConfig.CloudConfigBuilder` | `setLeaderConflictResolveWait(int leaderConflictResolveWait)`
    `CloudConfig.CloudConfigBuilder` | `setLeaderVoteWait(int leaderVoteWait)`
    `CloudConfig.CloudConfigBuilder` | `setUseGenericCoreNames(boolean useGenericCoreNames)`
    `CloudConfig.CloudConfigBuilder` | `setZkACLProviderClass(String zkACLProviderClass)`
    `CloudConfig.CloudConfigBuilder` | `setZkClientTimeout(int zkClientTimeout)`
    `CloudConfig.CloudConfigBuilder` | `setZkCredentialsProviderClass(String zkCredentialsProviderClass)`
    `CloudConfig.CloudConfigBuilder` | `setZkHost(String zkHost)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloudConfigBuilder

          public CloudConfigBuilder(String hostName,
                                    int hostPort)

    - #### CloudConfigBuilder

          public CloudConfigBuilder(String hostName,
                                    int hostPort,
                                    String hostContext)

  - ### Method Detail

    - #### setZkHost

          public CloudConfig.CloudConfigBuilder setZkHost(String zkHost)

    - #### setZkClientTimeout

          public CloudConfig.CloudConfigBuilder setZkClientTimeout(int zkClientTimeout)

    - #### setUseGenericCoreNames

          public CloudConfig.CloudConfigBuilder setUseGenericCoreNames(boolean useGenericCoreNames)

    - #### setLeaderVoteWait

          public CloudConfig.CloudConfigBuilder setLeaderVoteWait(int leaderVoteWait)

    - #### setLeaderConflictResolveWait

          public CloudConfig.CloudConfigBuilder setLeaderConflictResolveWait(int leaderConflictResolveWait)

    - #### setAutoReplicaFailoverWaitAfterExpiration

          public CloudConfig.CloudConfigBuilder setAutoReplicaFailoverWaitAfterExpiration(int autoReplicaFailoverWaitAfterExpiration)

    - #### setAutoReplicaFailoverWorkLoopDelay

          public CloudConfig.CloudConfigBuilder setAutoReplicaFailoverWorkLoopDelay(int autoReplicaFailoverWorkLoopDelay)

    - #### setAutoReplicaFailoverBadNodeExpiration

          public CloudConfig.CloudConfigBuilder setAutoReplicaFailoverBadNodeExpiration(int autoReplicaFailoverBadNodeExpiration)

    - #### setZkCredentialsProviderClass

          public CloudConfig.CloudConfigBuilder setZkCredentialsProviderClass(String zkCredentialsProviderClass)

    - #### setZkACLProviderClass

          public CloudConfig.CloudConfigBuilder setZkACLProviderClass(String zkACLProviderClass)

    - #### setCreateCollectionWaitTimeTillActive

          public CloudConfig.CloudConfigBuilder setCreateCollectionWaitTimeTillActive(int createCollectionWaitTimeTillActive)

    - #### setCreateCollectionCheckLeaderActive

          public CloudConfig.CloudConfigBuilder setCreateCollectionCheckLeaderActive(boolean createCollectionCheckLeaderActive)

    - #### build

          public CloudConfig build()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.